Tspi_TPM_CertifySelfTest(3)

NAME
Tspi_TPM_CertifySelfTest- have the TPM sign its self test data

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_CertifySelfTest(TSS_HTPM        hTPM, TSS_HKEY hKey,
                                    TSS_VALIDATION* pValidationData );

DESCRIPTION

Tspi_TPM_CertifySelfTest performs a self-test of each internal TPM function and returns an authenticated value (signature) if the test has passed.

PARAMETERS

  hTPM
Handle of the TPM object

  hKey
Handle of the signature key object

  pValidationData
Validation data structure. [IN] Provide externalData information required to compute the signature. [OUT] On successful completion of the ocmmand, the structure provides a buffer containing the validation data and a buffer containing the data the validation data was computed from.

RETURN CODES

Tspi_TPM_CertifySelfTest returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle to a TPM object.

TSS_E_INTERNAL_ERROR
    An error occurred internal to the TSS.

CONFORMING TO

Tspi_TPM_CertifySelfTest conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_SelfTestFull(3).